-- 根据游戏汇总订单数据
-- 增量逻辑 由于数据会存在延迟推送或者新游戏接入数据补数据
-- 天:取当天推送的订单数据里面看订单日期有哪些天的订单把那几天的数据拉出来重新汇总统计
-- 月:取当天推送的订单数据里面看订单日期有哪些月的订单把那几天的数据拉出来重新汇总统计
INSERT INTO dwd.order_df(game_channel_id,game_identity,game_platform_id,order_amount,pay_amount,pay_user_num,ds,ds_type,ds_name)
SELECT  t1.channel_id game_channel_id
        ,t1.game_identity
        ,t1.platform_id game_platform_id
        ,SUM(t1.amount) order_amount
        ,SUM(t1.pay_amount) pay_amount
        ,count(distinct t1.user_id) pay_user_num
        ,TO_CHAR(t1.create_time,'YYYYMMDD') ds
        ,'d' ds_type
        ,'天' ds_name
FROM    ods."order" t1
WHERE   t1.channel_id='${channel_id}' AND t1.game_identity='${game_identity}' AND t1.platform_id='${platform_id}'
GROUP BY t1.channel_id
         ,t1.game_identity
         ,t1.platform_id
         ,TO_CHAR(t1.create_time,'YYYYMMDD')
UNION
SELECT  t1.channel_id game_channel_id
        ,t1.game_identity
        ,t1.platform_id game_platform_id
        ,SUM(t1.amount) order_amount
        ,SUM(t1.pay_amount) pay_amount
        ,count(distinct t1.user_id) pay_user_num
        ,TO_CHAR(t1.create_time,'YYYYMM') || '00' ds
        ,'m' ds_type
        ,'月' ds_name
FROM    ods."order" t1
WHERE   t1.channel_id='${channel_id}' AND t1.game_identity='${game_identity}' AND t1.platform_id='${platform_id}'
GROUP BY t1.channel_id
         ,t1.game_identity
         ,t1.platform_id
         ,TO_CHAR(t1.create_time,'YYYYMM') || '00'

ON CONFLICT (game_channel_id,game_identity,game_platform_id,ds,ds_type)
DO UPDATE SET order_amount = EXCLUDED.order_amount,pay_amount = EXCLUDED.pay_amount,pay_user_num = EXCLUDED.pay_user_num
;



