INSERT INTO "dwd"."order_user_df" (relation_id,prodid,game_channel_id,game_identity,game_platform_id,user_id,ds,pay_amount,ds_date)
SELECT  t2.relation_id
        ,t2.product_id prodid
        ,t2.game_channel_id
        ,t2.game_identity
        ,t2.game_platform_id
        ,t1.user_id
        ,t1.ds ds
        ,sum(pay_amount) pay_amount
        ,TO_DATE(t1.ds, 'YYYYMMDD') ds_date
FROM    ods.ORDER t1
inner join
dim.game_product_relation t2
ON      t1.channel_id = t2.game_channel_id
AND     t1.game_identity = t2.game_identity
AND     t1.platform_id = t2.game_platform_id
WHERE   t1.channel_id='${channel_id}' AND t1.game_identity='${game_identity}' AND t1.platform_id='${platform_id}'
group by t2.relation_id
        ,t2.product_id
        ,t2.game_channel_id
        ,t2.game_identity
        ,t2.game_platform_id
        ,t1.user_id
        ,t1.ds
        ,TO_DATE(t1.ds, 'YYYYMMDD')
ON CONFLICT (relation_id, user_id, ds)
    DO UPDATE SET prodid = EXCLUDED.prodid,game_channel_id = EXCLUDED.game_channel_id,game_identity = EXCLUDED.game_identity,game_platform_id = EXCLUDED.game_platform_id,
    ds = EXCLUDED.ds,user_id = EXCLUDED.user_id,pay_amount = EXCLUDED.pay_amount,ds_date = EXCLUDED.ds_date
;